Package org.eclipse.mat.hprof.ui

# Enum HprofPreferences.HprofStrictness

java.lang.Object
java.lang.Enum<HprofPreferences.HprofStrictness>
org.eclipse.mat.hprof.ui.HprofPreferences.HprofStrictness

All Implemented Interfaces:
  `Serializable`, `Comparable<HprofPreferences.HprofStrictness>`, `java.lang.constant.Constable`

Enclosing class:
  HprofPreferences

public static enum HprofPreferences.HprofStrictness extends Enum<HprofPreferences.HprofStrictness>
Enumeration for the parser strictness.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`STRICTNESS_PERMISSIVE`
Raise a warning and try to "fix" the dump.
`STRICTNESS_STOP`
Throw an error and stop processing the dump.
`STRICTNESS_WARNING`
Raise a warning and continue.

## Method Summary

Modifier and Type
Method
Description
`static HprofPreferences.HprofStrictness`
`parse(String value)`
Given a stored preference value, return the enumeration value, or otherwise the default strictness.
`String`
`toString()`
Return the preference key.
`static HprofPreferences.HprofStrictness`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HprofPreferences.HprofStrictness[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRICTNESS_STOP

public static final HprofPreferences.HprofStrictness STRICTNESS_STOP
Throw an error and stop processing the dump.

### STRICTNESS_WARNING

public static final HprofPreferences.HprofStrictness STRICTNESS_WARNING
Raise a warning and continue.

### STRICTNESS_PERMISSIVE

public static final HprofPreferences.HprofStrictness STRICTNESS_PERMISSIVE
Raise a warning and try to "fix" the dump.

## Method Details

### values

public static HprofPreferences.HprofStrictness[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static HprofPreferences.HprofStrictness valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()
Return the preference key.

Overrides:
  `toString` in class `Enum<HprofPreferences.HprofStrictness>`

### parse

public static HprofPreferences.HprofStrictness parse(String value)
Given a stored preference value, return the enumeration value, or otherwise the default strictness.

Parameters:
  `value` - The preference value.
Returns:
  Given a stored preference value, return the enumeration value, or otherwise the default strictness.